# Request to receive aPay merchant data

Request for the merchant to receive data and settings of aPay merchant \
Optional request. Hard-coded aPay data on the merchant side is possible<br>

#### Output parameters of the JWS payload part:

| Parameter            | Description                                                                                                                          | Data Format | Example                                    |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | ----------- | ------------------------------------------ |
| merchantCapabilities | determines which capabilities the merchant supports for processing payments through Apple Pay                                        | object      | supports3DS, supportsCredit, supportsDebit |
| supportedNetworks    | defines the list of payment networks (card types) supported by the merchant to process payments through Apple Pay.                   | object      | visa, masterCard                           |
| countryCode          | the two-letter country code (according to the ISO 3166-1 alpha-2 standard) where the Apple Pay transaction will be made.             | string      | UA                                         |
| currencyCode         | defines the currency in which the payment will be made via Apple Pay. Three-letter currency code according to the ISO 4217 standard. | string      | UAH                                        |

#### Examples

<details>

<summary>JWS Payload - the request body before signing up</summary>

```json
{  }
```

</details>

<details>

<summary>JWS Payload - the response body before signing up</summary>

```json
{
    "merchantCapabilities": [
        "SUPPORTS_3DS"
    ],
    "supportedNetworks": [
        "VISA"
    ],
    "countryCode": [
        "UA"
    ],
    "currencyCode": "UAH"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.merchant.alb.ua/en/authorization-2.0/payment-methods-h2h/applepay-encrypted/request-to-receive-apay-merchant-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
